<template>
  <div class="home">
    <div class="searchbar imgcontainer">
      <div class="container">
        <h3>find a hotel you'll love!</h3>
        <div id="imgcontainer">       
          <div class="col-md-6">
            <select class="form-control" id="sel1" v-model="searchString">
              <option>The hague</option>
              <option>Amsterdam</option>
              <option>Rotterdam</option>
            </select>
          </div>
          <div class="col-md-5">
            <select class="selectpicker form-control" id="sel2">
              <option data-icon="glyphicon-star">1</option>
              <option data-icon="glyphicon-star">2</option>
              <option data-icon="glyphicon-star">3</option>
            </select>
          </div>
          <div class="col-md-1">
            <button type="button" class="button btn-danger"><router-link :to="{name: 'explore', params: {searchFor: searchString.value}}">search</router-link></button>
          </div>
        </div>
      </div>
    </div>
    <div class="container">
      <div class="col-md-11">
        <h3>Top Pick of the Month</h3>
        <h4 class="text-danger">The Student Hotel The Hague</h4>
      </div>
      <div class="col-md-1">
        <br>
        <br>
        <p><span class="glyphicon glyphicon-star"></span><span class="glyphicon glyphicon-star"></span><span class="glyphicon glyphicon-star"></span></p>
      </div>
      <br>
      <br>
      <div class="col-md-7">
        <img src="../assets/hotelmonth.jpg" class="img-rounded">
      </div>
      <div class="col-md-1"></div>
      <div class="col-md-4">
        <p>This month's top pick is the The studen Hotel The Hague. With the lounge/bar as one of the top facilities. Order a drink and enjoy your stay!</p>
        <br>
        <p>Hoefkade 9 The Hague</p>
        <br>
        <span class="badge">
          <span class="glyphicon glyphicon-glass"></span>
        </span>
        <span class="badge">
          <span class="glyphicon glyphicon-cutlery"></span>
        </span>
        <span class="badge">
          <span class="glyphicon glyphicon-signal"></span>          
        </span>
        <span class="badge">
          <span class="glyphicon glyphicon-book"></span>
        </span>
        <br>
        <h4>Rating</h4>
        <p>Guest score: 3/5 <a href="#">View reviews(5)</a></p>
        <br>
        <h4>Let's book a room!</h4>
        <p>Hotel Rooms starting at €79,- per night.</p>
        <button type="button" class="btn btn-danger">Book this hotel <span class="glyphicon glyphicon-menu-right"></span></button>
      </div>
      <div class="col-md-12"><br></div>
      <div class="col-md-12"><br></div>
      <div class="col-md-12"><br></div>
      <div class="col-md-12"><br></div>
      <div class="col-md-4 col-md-offset-4">
        <h3>We have about 1 hotel waiting to be booked!</h3>
      </div>
      <div class="col-md-2 col-md-offset-5">
        <button type="button" class="btn btn-danger"><router-link :to="{name: 'explore'}">Explore Hotels</router-link></button>
      </div>
      <div class="col-md-12"><br></div>
      <div class="col-md-12"><br></div>
    </div>
  </div>
</template>

<script>
// @ is an alias to /src
import HelloWorld from '@/components/HelloWorld.vue'
import LocalPotato from '@/components/LocalPotato.vue'

export default {
  name: 'home',
  components: {
    HelloWorld, 
    LocalPotato,
  },

  data(){
    return{
      searchString: {
        value: '',
        err: '',
      }
    }
  },
}
</script>

<style>

  .imgcontainer{
  color: white;
  background-color: white;
  margin-bottom: ;
}

.searchbar{
  background-image:url("../assets/hotel.jpg");
  padding-top: 150px;
  padding-bottom: 100px;
}

</style>
